Проблемы Exchange c Windows Management Framework 3.0 (PowerShell 3.0)


Раз уж есть грабли, то надо на них обязательно наступить. Или не обязательно? Решать вам. Для начала вот вам описание «граблей» связанных с установкой WMF 3.0 на серверы с установленным Exchange 2007/2010 или на рабочие станции с оснастками управления.

После установки WMF 3.0 вы не сможете установить Rollup Update на Exchange.

Суть проста – несовместимость с Powershell 3.0. Возможно это проявится еще где-то. Поэтому не рекомендуется ставить WMF 3.0 на серверы Exchange 2007/2010 или на рабочие станции с оснастками управления.

Совместимость с Powershell 3.0 заявлена в SP3 для Exchange 2010 (по всей видимости и в соответствующем обновлении для 2007-го). Что касается Exchange 2013, то тут все в порядке – он совместим с WMF 3.0.

Надо высказать еще одно предупреждение: многие продукты сейчас завязаны на Powershell 2.0, и установка WMF 3.0 может вызвать в них проблемы (это Sharepoint, System Center и т.д.).

Дополнение.

WMF 3.0 уже несколько недель доступен для автономной загрузки и установки. Теперь он стал доступен для установки через WSUS сервер. Статьи с описанием KB 2506146 и KB 2506143.

Дополнение 2

Появилось официальное разъяснение Windows Management Framework 3.0 on Exchange 2007 and Exchange 2010

Реклама

Добавить комментарий

Заполните поля или щелкните по значку, чтобы оставить свой комментарий:

Логотип WordPress.com

Для комментария используется ваша учётная запись WordPress.com. Выход / Изменить )

Фотография Twitter

Для комментария используется ваша учётная запись Twitter. Выход / Изменить )

Фотография Facebook

Для комментария используется ваша учётная запись Facebook. Выход / Изменить )

Google+ photo

Для комментария используется ваша учётная запись Google+. Выход / Изменить )

Connecting to %s

%d такие блоггеры, как: